### Method

# Foundry BuildStage list_build_targets

#### Declaration [src]

    DexFuture*
    foundry_build_stage_list_build_targets (
      FoundryBuildStage* self
    )

#### Description [src]

Lists the available `FoundryBuildTarget` known to the stage.

Most build stages will not know about any build targets and therefore do not need to implement this function.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GListModel` of `FoundryBuildTarget` or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.